Subject: Re: bug#20640: 24.5; lexical-binding should work like a normal file-local variable

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 Sep 2016 22:25:54 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Sun, 11 Sep 2016 18:04:13 +0000
> Cc: [email-masked]
> 
> Stefan Monnier <[email-masked]> schrieb am Mo., 22. Juni 2015 um 17:57 Uhr:
> 
>  > I don't think this is a misdesign. In most cases files are either seekable
>  > or small enough so that reading the variables from the end is tolerable. I
>  > prefer the end of files for local variables because they tend to be less
>  > important than the actual content.
> 
>  I'm not talking about file-local variables in general. I'm talking
>  about the "coding:" pseudo-variable.
> 
> No matter how we choose to call it: My argument stands, reading such pseudo-variables from the end of the
> file is desirable, useful, and has negligible disadvantages. Or do we have evidence that users routinely read
> very large (gigabyte-sized) Elisp files from non-seekable sources? 

Guys, is this really such a big deal to justify changes in an area
which was not touched in eons?  Just let the sleeping dogs lie.